Subject: Re: [PATCH 0/1] Fix netrc usage with WebDAV-based HTTP protocol

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Feb 2025 08:46:29 -0800

"brian m. carlson" <[email-masked]> writes:

> However, I think we need to either decide that we're going to support
> this as a fully-fledged feature and add documentation and sufficient
> tests, or remove it, since it's not reasonable to have undocumented,
> untested features that people rely on.

Does "this" refer to "use of netrc in HTTP code paths", or "HTTP
walker"?  I am kind of surprised that anybody is still using the
latter, regardless of where the credential is locally stored.

> I will note, as an argument in favour of removal, that we have
> git-credential-netrc helper in contrib that users can enable if
> they want to retain this functionality, and we could even ship it
> by default without much difficulty.

I am fine with the approach.

Thanks.